<div class="artist-wrapper">
    <div class="artist-header">
        <a routerLink="/home">
            <img src="../../assets/back-arrow.png.png" alt="back" width="20" height="20">
        </a>
        
        <div class="artist-name" *ngIf="artist">
            <h1>{{artist.name}}</h1>
        </div>
    </div>
    
    <div class="artist-info">
        <div class="left">
            <div class="artist-image" *ngIf="artist.images.length > 0">
                <img src="{{artist.images[0].url}}" width="500px" height="500px">
            </div>
    
            <div class="artist-genres" *ngIf="artist.genres.length > 0">
                Genres: <span *ngFor="let genre of artist.genres" class="genre">{{genre}}</span>
            </div>
        </div>

        <div class="artist-albums" *ngIf="albums && albums[1].length > 0">
            <span *ngFor="let album of albums[1]">
                <app-album [albumName]="album.name" [albumId]="album.id" [releaseDate]="album.release_date" [albumImage]="album.images[0].url" (onAlbumClick)="albumClicked($event)"></app-album>
            </span>
        </div>
    </div>
</div>